## com.google.common.reflect
Class TypeParameter<T>

    java.lang.Object
      com.google.common.reflect.TypeParameter<T>

    @Beta
    public abstract class TypeParameter<T>

extends Object

Captures a free type variable that can be used in `TypeToken.where(com.google.common.reflect.TypeParameter<X>, com.google.common.reflect.TypeToken<X>)`. For example:

       static <T> TypeToken<List<T>> listOf(Class<T> elementType) {
         return new TypeToken<List<T>>() {}
             .where(new TypeParameter<T>() {}, elementType);
       }

Since:
  12.0
Author:
  Ben Yu

Constructor Summary
`protected` `TypeParameter()`

Method Summary
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeParameter

    protected TypeParameter()

Method Detail

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public final boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2010-2012. All Rights Reserved.